Package org.bedework.synch.wsmessages

# Class ObjectFactory

java.lang.Object
org.bedework.synch.wsmessages.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the org.bedework.synch.wsmessages package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.bedework.synch.wsmessages

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ActiveSubscriptionRequestType`
  `createActiveSubscriptionRequestType()`
  Create an instance of `ActiveSubscriptionRequestType`
  `javax.xml.bind.JAXBElement<AlreadySubscribedType>`
  `createAlreadySubscribed(AlreadySubscribedType value)`
  Create an instance of `JAXBElement``<``AlreadySubscribedType``>`
  `AlreadySubscribedType`
  `createAlreadySubscribedType()`
  Create an instance of `AlreadySubscribedType`
  `ArrayOfSynchConnectorInfo`
  `createArrayOfSynchConnectorInfo()`
  Create an instance of `ArrayOfSynchConnectorInfo`
  `ArrayOfSynchProperties`
  `createArrayOfSynchProperties()`
  Create an instance of `ArrayOfSynchProperties`
  `ArrayOfSynchPropertyInfo`
  `createArrayOfSynchPropertyInfo()`
  Create an instance of `ArrayOfSynchPropertyInfo`
  `BaseSynchRequestType`
  `createBaseSynchRequestType()`
  Create an instance of `BaseSynchRequestType`
  `ConnectorInfoType`
  `createConnectorInfoType()`
  Create an instance of `ConnectorInfoType`
  `javax.xml.bind.JAXBElement<GetInfoRequestType>`
  `createGetInfo(GetInfoRequestType value)`
  Create an instance of `JAXBElement``<``GetInfoRequestType``>`
  `GetInfoRequestType`
  `createGetInfoRequestType()`
  Create an instance of `GetInfoRequestType`
  `javax.xml.bind.JAXBElement<GetInfoResponseType>`
  `createGetInfoResponse(GetInfoResponseType value)`
  Create an instance of `JAXBElement``<``GetInfoResponseType``>`
  `GetInfoResponseType`
  `createGetInfoResponseType()`
  Create an instance of `GetInfoResponseType`
  `javax.xml.bind.JAXBElement<InvalidTokenType>`
  `createInvalidToken(InvalidTokenType value)`
  Create an instance of `JAXBElement``<``InvalidTokenType``>`
  `InvalidTokenType`
  `createInvalidTokenType()`
  Create an instance of `InvalidTokenType`
  `javax.xml.bind.JAXBElement<KeepAliveNotificationType>`
  `createKeepAliveNotification(KeepAliveNotificationType value)`
  Create an instance of `JAXBElement``<``KeepAliveNotificationType``>`
  `KeepAliveNotificationType`
  `createKeepAliveNotificationType()`
  Create an instance of `KeepAliveNotificationType`
  `javax.xml.bind.JAXBElement<KeepAliveResponseType>`
  `createKeepAliveResponse(KeepAliveResponseType value)`
  Create an instance of `JAXBElement``<``KeepAliveResponseType``>`
  `KeepAliveResponseType`
  `createKeepAliveResponseType()`
  Create an instance of `KeepAliveResponseType`
  `javax.xml.bind.JAXBElement<RefreshRequestType>`
  `createRefresh(RefreshRequestType value)`
  Create an instance of `JAXBElement``<``RefreshRequestType``>`
  `RefreshRequestType`
  `createRefreshRequestType()`
  Create an instance of `RefreshRequestType`
  `javax.xml.bind.JAXBElement<RefreshResponseType>`
  `createRefreshResponse(RefreshResponseType value)`
  Create an instance of `JAXBElement``<``RefreshResponseType``>`
  `RefreshResponseType`
  `createRefreshResponseType()`
  Create an instance of `RefreshResponseType`
  `javax.xml.bind.JAXBElement<ServiceStoppedType>`
  `createServiceStopped(ServiceStoppedType value)`
  Create an instance of `JAXBElement``<``ServiceStoppedType``>`
  `ServiceStoppedType`
  `createServiceStoppedType()`
  Create an instance of `ServiceStoppedType`
  `javax.xml.bind.JAXBElement<StartServiceNotificationType>`
  `createStartServiceNotification(StartServiceNotificationType value)`
  Create an instance of `JAXBElement``<``StartServiceNotificationType``>`
  `StartServiceNotificationType`
  `createStartServiceNotificationType()`
  Create an instance of `StartServiceNotificationType`
  `javax.xml.bind.JAXBElement<StartServiceResponseType>`
  `createStartServiceResponse(StartServiceResponseType value)`
  Create an instance of `JAXBElement``<``StartServiceResponseType``>`
  `StartServiceResponseType`
  `createStartServiceResponseType()`
  Create an instance of `StartServiceResponseType`
  `javax.xml.bind.JAXBElement<SubscribeRequestType>`
  `createSubscribe(SubscribeRequestType value)`
  Create an instance of `JAXBElement``<``SubscribeRequestType``>`
  `SubscribeRequestType`
  `createSubscribeRequestType()`
  Create an instance of `SubscribeRequestType`
  `javax.xml.bind.JAXBElement<SubscribeResponseType>`
  `createSubscribeResponse(SubscribeResponseType value)`
  Create an instance of `JAXBElement``<``SubscribeResponseType``>`
  `SubscribeResponseType`
  `createSubscribeResponseType()`
  Create an instance of `SubscribeResponseType`
  `javax.xml.bind.JAXBElement<SubscriptionStatusRequestType>`
  `createSubscriptionStatus(SubscriptionStatusRequestType value)`
  Create an instance of `JAXBElement``<``SubscriptionStatusRequestType``>`
  `SubscriptionStatusRequestType`
  `createSubscriptionStatusRequestType()`
  Create an instance of `SubscriptionStatusRequestType`
  `javax.xml.bind.JAXBElement<SubscriptionStatusResponseType>`
  `createSubscriptionStatusResponse(SubscriptionStatusResponseType value)`
  Create an instance of `JAXBElement``<``SubscriptionStatusResponseType``>`
  `SubscriptionStatusResponseType`
  `createSubscriptionStatusResponseType()`
  Create an instance of `SubscriptionStatusResponseType`
  `SynchConnectorInfoType`
  `createSynchConnectorInfoType()`
  Create an instance of `SynchConnectorInfoType`
  `javax.xml.bind.JAXBElement<SynchIdTokenType>`
  `createSynchIdToken(SynchIdTokenType value)`
  Create an instance of `JAXBElement``<``SynchIdTokenType``>`
  `SynchIdTokenType`
  `createSynchIdTokenType()`
  Create an instance of `SynchIdTokenType`
  `SynchInfoType`
  `createSynchInfoType()`
  Create an instance of `SynchInfoType`
  `SynchPropertyInfoType`
  `createSynchPropertyInfoType()`
  Create an instance of `SynchPropertyInfoType`
  `SynchPropertyType`
  `createSynchPropertyType()`
  Create an instance of `SynchPropertyType`
  `javax.xml.bind.JAXBElement<UnknownSubscriptionType>`
  `createUnknownSubscription(UnknownSubscriptionType value)`
  Create an instance of `JAXBElement``<``UnknownSubscriptionType``>`
  `UnknownSubscriptionType`
  `createUnknownSubscriptionType()`
  Create an instance of `UnknownSubscriptionType`
  `javax.xml.bind.JAXBElement<UnreachableTargetType>`
  `createUnreachableTarget(UnreachableTargetType value)`
  Create an instance of `JAXBElement``<``UnreachableTargetType``>`
  `UnreachableTargetType`
  `createUnreachableTargetType()`
  Create an instance of `UnreachableTargetType`
  `javax.xml.bind.JAXBElement<UnsubscribeRequestType>`
  `createUnsubscribe(UnsubscribeRequestType value)`
  Create an instance of `JAXBElement``<``UnsubscribeRequestType``>`
  `UnsubscribeRequestType`
  `createUnsubscribeRequestType()`
  Create an instance of `UnsubscribeRequestType`
  `javax.xml.bind.JAXBElement<UnsubscribeResponseType>`
  `createUnsubscribeResponse(UnsubscribeResponseType value)`
  Create an instance of `JAXBElement``<``UnsubscribeResponseType``>`
  `UnsubscribeResponseType`
  `createUnsubscribeResponseType()`
  Create an instance of `UnsubscribeResponseType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.bedework.synch.wsmessages

- ## Method Details

  - ### createAlreadySubscribedType

    public AlreadySubscribedType createAlreadySubscribedType()
    Create an instance of `AlreadySubscribedType`

  - ### createInvalidTokenType

    public InvalidTokenType createInvalidTokenType()
    Create an instance of `InvalidTokenType`

  - ### createUnknownSubscriptionType

    public UnknownSubscriptionType createUnknownSubscriptionType()
    Create an instance of `UnknownSubscriptionType`

  - ### createUnreachableTargetType

    public UnreachableTargetType createUnreachableTargetType()
    Create an instance of `UnreachableTargetType`

  - ### createServiceStoppedType

    public ServiceStoppedType createServiceStoppedType()
    Create an instance of `ServiceStoppedType`

  - ### createSynchIdTokenType

    public SynchIdTokenType createSynchIdTokenType()
    Create an instance of `SynchIdTokenType`

  - ### createGetInfoRequestType

    public GetInfoRequestType createGetInfoRequestType()
    Create an instance of `GetInfoRequestType`

  - ### createGetInfoResponseType

    public GetInfoResponseType createGetInfoResponseType()
    Create an instance of `GetInfoResponseType`

  - ### createSubscribeRequestType

    public SubscribeRequestType createSubscribeRequestType()
    Create an instance of `SubscribeRequestType`

  - ### createSubscribeResponseType

    public SubscribeResponseType createSubscribeResponseType()
    Create an instance of `SubscribeResponseType`

  - ### createUnsubscribeRequestType

    public UnsubscribeRequestType createUnsubscribeRequestType()
    Create an instance of `UnsubscribeRequestType`

  - ### createUnsubscribeResponseType

    public UnsubscribeResponseType createUnsubscribeResponseType()
    Create an instance of `UnsubscribeResponseType`

  - ### createRefreshRequestType

    public RefreshRequestType createRefreshRequestType()
    Create an instance of `RefreshRequestType`

  - ### createRefreshResponseType

    public RefreshResponseType createRefreshResponseType()
    Create an instance of `RefreshResponseType`

  - ### createSubscriptionStatusRequestType

    public SubscriptionStatusRequestType createSubscriptionStatusRequestType()
    Create an instance of `SubscriptionStatusRequestType`

  - ### createSubscriptionStatusResponseType

    public SubscriptionStatusResponseType createSubscriptionStatusResponseType()
    Create an instance of `SubscriptionStatusResponseType`

  - ### createStartServiceNotificationType

    public StartServiceNotificationType createStartServiceNotificationType()
    Create an instance of `StartServiceNotificationType`

  - ### createStartServiceResponseType

    public StartServiceResponseType createStartServiceResponseType()
    Create an instance of `StartServiceResponseType`

  - ### createKeepAliveNotificationType

    public KeepAliveNotificationType createKeepAliveNotificationType()
    Create an instance of `KeepAliveNotificationType`

  - ### createKeepAliveResponseType

    public KeepAliveResponseType createKeepAliveResponseType()
    Create an instance of `KeepAliveResponseType`

  - ### createSynchPropertyInfoType

    public SynchPropertyInfoType createSynchPropertyInfoType()
    Create an instance of `SynchPropertyInfoType`

  - ### createArrayOfSynchPropertyInfo

    public ArrayOfSynchPropertyInfo createArrayOfSynchPropertyInfo()
    Create an instance of `ArrayOfSynchPropertyInfo`

  - ### createSynchConnectorInfoType

    public SynchConnectorInfoType createSynchConnectorInfoType()
    Create an instance of `SynchConnectorInfoType`

  - ### createArrayOfSynchConnectorInfo

    public ArrayOfSynchConnectorInfo createArrayOfSynchConnectorInfo()
    Create an instance of `ArrayOfSynchConnectorInfo`

  - ### createBaseSynchRequestType

    public BaseSynchRequestType createBaseSynchRequestType()
    Create an instance of `BaseSynchRequestType`

  - ### createActiveSubscriptionRequestType

    public ActiveSubscriptionRequestType createActiveSubscriptionRequestType()
    Create an instance of `ActiveSubscriptionRequestType`

  - ### createSynchInfoType

    public SynchInfoType createSynchInfoType()
    Create an instance of `SynchInfoType`

  - ### createSynchPropertyType

    public SynchPropertyType createSynchPropertyType()
    Create an instance of `SynchPropertyType`

  - ### createArrayOfSynchProperties

    public ArrayOfSynchProperties createArrayOfSynchProperties()
    Create an instance of `ArrayOfSynchProperties`

  - ### createConnectorInfoType

    public ConnectorInfoType createConnectorInfoType()
    Create an instance of `ConnectorInfoType`

  - ### createAlreadySubscribed

    public javax.xml.bind.JAXBElement<AlreadySubscribedType> createAlreadySubscribed(AlreadySubscribedType value)
    Create an instance of `JAXBElement``<``AlreadySubscribedType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``AlreadySubscribedType``>`

  - ### createInvalidToken

    public javax.xml.bind.JAXBElement<InvalidTokenType> createInvalidToken(InvalidTokenType value)
    Create an instance of `JAXBElement``<``InvalidTokenType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``InvalidTokenType``>`

  - ### createUnknownSubscription

    public javax.xml.bind.JAXBElement<UnknownSubscriptionType> createUnknownSubscription(UnknownSubscriptionType value)
    Create an instance of `JAXBElement``<``UnknownSubscriptionType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``UnknownSubscriptionType``>`

  - ### createUnreachableTarget

    public javax.xml.bind.JAXBElement<UnreachableTargetType> createUnreachableTarget(UnreachableTargetType value)
    Create an instance of `JAXBElement``<``UnreachableTargetType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``UnreachableTargetType``>`

  - ### createServiceStopped

    public javax.xml.bind.JAXBElement<ServiceStoppedType> createServiceStopped(ServiceStoppedType value)
    Create an instance of `JAXBElement``<``ServiceStoppedType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``ServiceStoppedType``>`

  - ### createSynchIdToken

    public javax.xml.bind.JAXBElement<SynchIdTokenType> createSynchIdToken(SynchIdTokenType value)
    Create an instance of `JAXBElement``<``SynchIdTokenType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``SynchIdTokenType``>`

  - ### createGetInfo

    public javax.xml.bind.JAXBElement<GetInfoRequestType> createGetInfo(GetInfoRequestType value)
    Create an instance of `JAXBElement``<``GetInfoRequestType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``GetInfoRequestType``>`

  - ### createGetInfoResponse

    public javax.xml.bind.JAXBElement<GetInfoResponseType> createGetInfoResponse(GetInfoResponseType value)
    Create an instance of `JAXBElement``<``GetInfoResponseType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``GetInfoResponseType``>`

  - ### createSubscribe

    public javax.xml.bind.JAXBElement<SubscribeRequestType> createSubscribe(SubscribeRequestType value)
    Create an instance of `JAXBElement``<``SubscribeRequestType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``SubscribeRequestType``>`

  - ### createSubscribeResponse

    public javax.xml.bind.JAXBElement<SubscribeResponseType> createSubscribeResponse(SubscribeResponseType value)
    Create an instance of `JAXBElement``<``SubscribeResponseType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``SubscribeResponseType``>`

  - ### createUnsubscribe

    public javax.xml.bind.JAXBElement<UnsubscribeRequestType> createUnsubscribe(UnsubscribeRequestType value)
    Create an instance of `JAXBElement``<``UnsubscribeRequestType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``UnsubscribeRequestType``>`

  - ### createUnsubscribeResponse

    public javax.xml.bind.JAXBElement<UnsubscribeResponseType> createUnsubscribeResponse(UnsubscribeResponseType value)
    Create an instance of `JAXBElement``<``UnsubscribeResponseType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``UnsubscribeResponseType``>`

  - ### createRefresh

    public javax.xml.bind.JAXBElement<RefreshRequestType> createRefresh(RefreshRequestType value)
    Create an instance of `JAXBElement``<``RefreshRequestType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``RefreshRequestType``>`

  - ### createRefreshResponse

    public javax.xml.bind.JAXBElement<RefreshResponseType> createRefreshResponse(RefreshResponseType value)
    Create an instance of `JAXBElement``<``RefreshResponseType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``RefreshResponseType``>`

  - ### createSubscriptionStatus

    public javax.xml.bind.JAXBElement<SubscriptionStatusRequestType> createSubscriptionStatus(SubscriptionStatusRequestType value)
    Create an instance of `JAXBElement``<``SubscriptionStatusRequestType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``SubscriptionStatusRequestType``>`

  - ### createSubscriptionStatusResponse

    public javax.xml.bind.JAXBElement<SubscriptionStatusResponseType> createSubscriptionStatusResponse(SubscriptionStatusResponseType value)
    Create an instance of `JAXBElement``<``SubscriptionStatusResponseType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``SubscriptionStatusResponseType``>`

  - ### createStartServiceNotification

    public javax.xml.bind.JAXBElement<StartServiceNotificationType> createStartServiceNotification(StartServiceNotificationType value)
    Create an instance of `JAXBElement``<``StartServiceNotificationType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``StartServiceNotificationType``>`

  - ### createStartServiceResponse

    public javax.xml.bind.JAXBElement<StartServiceResponseType> createStartServiceResponse(StartServiceResponseType value)
    Create an instance of `JAXBElement``<``StartServiceResponseType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``StartServiceResponseType``>`

  - ### createKeepAliveNotification

    public javax.xml.bind.JAXBElement<KeepAliveNotificationType> createKeepAliveNotification(KeepAliveNotificationType value)
    Create an instance of `JAXBElement``<``KeepAliveNotificationType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``KeepAliveNotificationType``>`

  - ### createKeepAliveResponse

    public javax.xml.bind.JAXBElement<KeepAliveResponseType> createKeepAliveResponse(KeepAliveResponseType value)
    Create an instance of `JAXBElement``<``KeepAliveResponseType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``KeepAliveResponseType``>`